<%@ page import="com.atlassian.core.logging.DatedLoggingEvent,
                 com.atlassian.core.logging.ThreadLocalErrorCollection,
                 com.atlassian.jira.ComponentManager,
                 com.atlassian.jira.util.ExceptionInterpreterUtil,
                 com.atlassian.jira.util.system.SystemInfoUtils,
                 com.atlassian.jira.util.system.SystemInfoUtilsImpl,
                 com.atlassian.jira.web.action.admin.ViewSystemInfo,
                 com.atlassian.jira.web.util.ExternalLinkUtil,
                 com.atlassian.jira.web.util.ExternalLinkUtilImpl" %>
<%@ page import="com.opensymphony.util.TextUtils"%>
<%@ page import="org.apache.log4j.Category"%>
<%@ page import="org.apache.log4j.spi.LoggingEvent"%>
<%@ page import="javax.servlet.ServletException"%>
<%@ page import="java.io.PrintWriter"%>
<%@ page import="java.io.StringWriter"%>
<%@ page import="java.util.*"%>
<%@ page isErrorPage="true" %>

<html>
	<head>
	<title>Oops - an error has occurred</title>
    <%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%=request.getContextPath()%>/includes/js/cookieUtil.js"></script>
    <style>
		h1 { color: #003366; text-align: left; margin: 0px 0px 30px 10px; padding: 0px; border-width: 0px 0px 1px 0px; border-style: solid; border-color: #003366;}
        p { padding: 5px 10px 5px 10px;}
		p.message { padding: 10px 30px 10px 30px; font-weight: bold; font-size: 130%; border-width: 1px; border-style: dashed; border-color: #336699; }
		p.description { padding: 10px 30px 20px 30px; border-width: 0px 0px 1px 0px; border-style: solid; border-color: #336699;}
		p.topped { padding: 5px 10px 5px 0px; margin: 0px 0px 0px 10px; border-width: 1px 0px 0px 0px; border-style: solid; border-color: #003366; }
        span.switch { cursor: pointer; margin-left: 5px; text-decoration: underline; }
        pre {padding: 5px 10px 5px 10px;}
   </style>
   </head>

   <%
       ExternalLinkUtil externalLinkUtil = new ExternalLinkUtilImpl();
       SystemInfoUtils systemInfoUtils = (SystemInfoUtils) ComponentManager.getComponentInstanceOfType(SystemInfoUtilsImpl.class);
       ViewSystemInfo vsi = new ViewSystemInfo(systemInfoUtils);
       Map sysinfo = vsi.getProps();
       Map jvmstats = vsi.getJVMstats();
       Map buildstats = vsi.getBuildStats();

       // orion does not support the exception object.
       boolean isOrion = "Orion".equals(systemInfoUtils.getAppServer());

       String line = "";
       String ex = null;

       if (isOrion)
       {
           ex = (String) request.getAttribute("javax.servlet.error.message");
           //get the first line of the error message for the "cause:"

           if (ex != null)
           {
               // this is a bit of a hack to get the message from the decorated exception
               if(ex.startsWith("<PRE>"))
               {
                   line = ex.substring(5, ex.length());
               }
               else
               {
                   line = ex;
               }
               line = line.substring(0, line.indexOf("<br>"));
           }
           else
               line = "No exception";

       }
       else
       {
           if (exception != null)
           {
               Throwable cause = exception;
               if (exception instanceof ServletException)
               {
                   Throwable rootCause = ((ServletException) exception).getRootCause();
                   if (rootCause != null)
                    cause = rootCause;
               }
               //log exception to the log files, so that it gets captured somewhere.
               Category.getInstance("500ErrorPage").error("Exception caught in 500 page " + cause.getMessage(), cause);
               line = cause.toString();
               StringWriter sw = new StringWriter();
               PrintWriter pw = new PrintWriter(sw);
               cause.printStackTrace(pw);
               ex = sw.toString();
           }
       }

       String interpretedMsg = ExceptionInterpreterUtil.execute(vsi, ex);
   %>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" >
<div id="Content">
<br>
<% if(interpretedMsg != null && !"".equals(interpretedMsg.trim()))
   {
%>

<h1>Known Error</h1>
<p>A system error has occurred.
<p>
The error resembles an error known to the system:
<p>
<%= interpretedMsg %>
</p>
<p>
If the above suggestions do not help - please notify your JIRA administrator of this problem.

<% }
    else
   {
%>
<h1>System Error</h1>

<p>A system error has occurred.
<p>
If this problem persists - please notify your JIRA administrator of this problem.
<% } %>
<p class="topped">
If you are an administrator, please try submitting this problem via the <a href="<%= request.getContextPath() %>/secure/admin/jira/JiraSupportRequest!default.jspa" target="_blank">Support Request Page</a>.
<p>
Else, please create a support issue on our <b>support system</b> at <a href="<%= externalLinkUtil.getProperty("external.link.jira.support.site") %>"><%= externalLinkUtil.getProperty("external.link.jira.support.site") %></a> with the following information:
<ol>
<li>a description of your problem
<li>cut & paste the error and system information found below
<li>attach the application server log file (<% out.println(vsi.getLogPath()); %>)
</ol>
<p class="topped">

        <p>
        <b>Cause:</b><br/>
        <%= line %>
        </p>
        <% if(ex != null)
        {
        %>
            <p>
            <b>Stack Trace:</b> <span class="switch" id="stacktrace-switch" onclick="toggle('stacktrace', 'show', 'hide')">[hide]</span>
            <pre id="stacktrace"><%= ex %></pre>
        <% } %>

        <p><b>Referer URL:</b> <%= request.getHeader("Referer") != null ? request.getHeader("Referer") : "Unknown" %></p>

        <p>
        <b>Build Information:</b><br/>
        <%
            for (Iterator k = buildstats.keySet().iterator(); k.hasNext();)
            {
                String key = (String) k.next();
                String value = (String) buildstats.get(key);
                out.println(key + ": " + value + "<br/>");
            }
        %>
        </p>
        <p>
        <b>Server Information:</b><br/>
            Application Server: <%= application.getServerInfo() %><br>
            Servlet Version: <%= application.getMajorVersion() %>.<%= application.getMinorVersion() %><br>
        </p>

        <p>
        <b>File Paths:</b><br/>
            Location of entityengine.xml: <%= vsi.getEntityEngineXmlPath()%><br/>
            Location of atlassian-jira.log: <%= vsi.getLogPath()%><br/>
        </p>

        <p>
        <b>Memory Information:</b><br/>
        <%
            for (Iterator j = jvmstats.keySet().iterator(); j.hasNext();)
            {
                String key = (String) j.next();
                String value = (String) jvmstats.get(key);
                out.println(key + ": " + value + " MB<br/>");
            }
        %>
        </p>
        <p>
        <b>System Information:</b><br/>
        <%
            for (Iterator i = sysinfo.keySet().iterator(); i.hasNext();)
            {
                String key = (String) i.next();
                String value = (String) sysinfo.get(key);
                out.println(key + ": " + value + "<br/>");
            }
        %>
        </p>

        <p>
        <b>Request Information:</b><br/>
        <%
            try {
                String encodedQueryString = request.getQueryString() == null ? "" : TextUtils.htmlEncode(request.getQueryString());
        %>
            Request URL: <%= request.getRequestURL() %><br>
            - Scheme: <%= request.getScheme() %><br>
            - Server: <%= request.getServerName() %><br>
            - Port: <%= request.getServerPort() %><br>
            - URI: <%= request.getRequestURI() %><br>
            - - Context Path: <%= request.getContextPath() %><br>
            - - Servlet Path: <%= request.getServletPath() %><br>
            - - Path Info: <%= request.getPathInfo() %><br>
            - - Query String: <%= encodedQueryString %><br>

            Request Attributes:<br>
            <%
                Enumeration attributeNames = request.getAttributeNames();
                while (attributeNames.hasMoreElements())
                {
                    String name = (String) attributeNames.nextElement();
                    Object attribute = request.getAttribute(name);
                    %>
                    - <%= name %> : <%= TextUtils.htmlEncode(attribute == null ? "null" : attribute.toString()) %><br>
                    <%
                }
            %>
        <%
            }
            catch (Throwable t)
            {
                out.println("Error rendering logging information - uh oh.");
                t.printStackTrace(new PrintWriter(out));
            }
        %>
        </p>

        <p>
        <b>Request Logging:</b><br/>
        <%
            try {
            List list = ThreadLocalErrorCollection.getList();
            %>
                <b><%= list.size() %></b> log statements generated by this request:<br>
            <%
            for (Iterator iterator = list.iterator(); iterator.hasNext();)
            {
                DatedLoggingEvent dle = (DatedLoggingEvent) iterator.next();
                LoggingEvent loggingEvent = dle.getEvent();
                Date date = dle.getDate();
                %>
<%-- Note that both of the logging fields have been deprecated. Using this for compatability with pre 1.2.6 logj. JRA-5405 --%>
                <font color="darkred">[<%= loggingEvent.level %>]</font>
                <font color="darkblue"><%= date.toString() %></font>
                [<%= loggingEvent.categoryName %>]
                <%= loggingEvent.getRenderedMessage() %>
                <br>
                <% if (loggingEvent.getThrowableInformation() != null) { %>
                    <div style="font-size: 10px; margin: 0 0 0 20px;">
                        <%
                            for (int i = 0; i < loggingEvent.getThrowableStrRep().length && i < 20; i++)
                            {
                                String s = loggingEvent.getThrowableStrRep()[i];
                                out.println(s + "<br>");
                            }
                        %>
                    </div>
                <% } %>
                <%
            }
            }
            catch (Throwable t)
            {
                out.println("Error rendering logging information - uh oh.");
                t.printStackTrace(new PrintWriter(out));
            }
        %>
        </p>

        </td>
        </tr>
    </table>
</div>
</body>
</html>

