<%@ page import="com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 com.atlassian.license.applications.jira.JiraLicenseTypeStore"%>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    String topBgColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TOP_BGCOLOUR);
    String menuBgColour = ap.getDefaultBackedString(APKeys.JIRA_LF_MENU_BGCOLOUR);
    String linkColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);

    //don't use default backed string here, as we will use the large logo
    String jiraLogo = ap.getString(APKeys.JIRA_LF_LOGO_URL);
    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = request.getContextPath() + jiraLogo;
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>JIRA - <decorator:title default="New Generation Issue Tracking" /></title>
    <META http-equiv="Content-Type" content="<%= ap.getContentType() %>">
	<%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%=request.getContextPath()%>/includes/js/combined-javascript.js"></script>
</head>

<body bgcolor="#f0f0f0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
<tr valign="middle"><td>
<table cellpadding=0 cellspacing="0" class="centred borderedBoxBlack" width=400>
    <tr cellpadding=0 cellspacing=0 border=0 width=400 bgcolor=<%= topBgColour %>>
        <td><table>
            <td valign="bottom" width=200><a href="<%= request.getContextPath() %>/secure/"><% if (jiraLogo == null) { %><img src="<%= request.getContextPath() %>/images/jira_logo_small.gif" width=111 height=30 border=0 alt="<%= ap.getString(APKeys.JIRA_TITLE) %>" vspace=0 hspace=0><% } else { %><img src="<%= jiraLogo %>" width="<%= ap.getString(APKeys.JIRA_LF_LOGO_WIDTH) %>" height="<%= ap.getString(APKeys.JIRA_LF_LOGO_HEIGHT) %>" border=0 alt="<%= ap.getString(APKeys.JIRA_TITLE) %>"><% } %></a></td>
            <td valign="bottom" width=200 align="right">
                <webwork:component name="'default'" template="help.jsp">
                    <webwork:param name="'align'" value="'middle'"/>
                </webwork:component>
                &nbsp;
            </td>
        </table></td>
    </tr>
    <tr cellpadding=0 cellspacing=0 border=0 width=400 height=5 bgcolor=<%= menuBgColour %>>
      	<td><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width=5 height=5 border=0></td>
    </tr>

    <tr><td>
       	<decorator:body />
    </td></tr>
</table>

<div class="fullyCentered">
    <span class="small">
	    <%
		License curLicense = null;

        if (JiraLicenseUtils.isLicenseSetup())
            curLicense = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);

		if (curLicense == null)
		{ %>
            <span class="smallgrey">UNLICENSED INSTALLATION</span> - You can request a 30-day
            <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" />">evaluation license online</a>
            or <a href="<webwork:component name="'external.link.jira.license.purchase.from.unlicensed'" template="externallink.jsp" />">purchase</a>.
	 <% } else if (JiraLicenseTypeStore.JIRA_STANDARD_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_EVALUATION.equals(curLicense.getLicenseType())) { %>
            <span class="smallgrey">EVALUATION LICENSE</span> - Are you enjoying JIRA? Please consider
            <a href="<webwork:component name="'external.link.jira.license.purchase.from.evaluation'" template="externallink.jsp" />">purchasing it</a> today.
	 <% } else if (JiraLicenseTypeStore.JIRA_STANDARD_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_NON_PROFIT.equals(curLicense.getLicenseType())) { %>
            This site is running on Atlassian
            <b><a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">JIRA</a></b>
            with a free <b>Open Source Project / Non-profit License</b> (<a href="<webwork:component name="'external.link.jira.license.info'" template="externallink.jsp"/>">license details</a>).<br>
            <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition() %></webwork:param></webwork:component>">JIRA</a>
            is an <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">issue tracking</a>
            and <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">bug tracking</a>
            application. <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">Evaluate JIRA for your organisation</a>.<br>
	 <% } else if (ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
            <span class="smallgrey">EVALUATION LICENSE</span> - Are you enjoying this new version of JIRA? Please consider
            <a href="<webwork:component name="'external.link.jira.license.extend.from.old'" template="externallink.jsp" />">extending your license</a> today.
     <% } %>

	<p>
	<span class="smallfooter">
		Powered by <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">Atlassian JIRA&trade;</a>
        the <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition()%></webwork:param></webwork:component>">Professional Issue Tracker</a>.
        <span class="smallgreyfooter">(<%= BuildUtils.getBuildInformation() %>)</span> - <a href="<webwork:component name="'external.link.jira.raise.issue'" template="externallink.jsp"/>">Bug/feature request</a><br>
		<a href="<%= request.getContextPath() %>/secure/Administrators.jspa">Contact Administrators</a>
	</span>
	</p>
</div>

</td></tr>

</table>
</body>
</html>
