<%@ page import="com.atlassian.jira.util.EasyList,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY); %>


<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.usersandgroups.users.and.groups'"/></page:param>
    <page:param name="menuName">usersgroups</page:param>

    <li><a id="user_browser" href="<%= request.getContextPath() %>/secure/admin/user/UserBrowser.jspa"><webwork:text name="'admin.menu.usersandgroups.user.browser'"/></a></li>
	<li><a id="group_browser" href="<%= request.getContextPath() %>/secure/admin/user/GroupBrowser.jspa"><webwork:text name="'admin.menu.usersandgroups.group.browser'"/></a></li>

</page:applyDecorator>

<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.globalsettings.global.settings'"/></page:param>
    <page:param name="menuName">globalsettings</page:param>

	<li><a id="attachments" href="<%= request.getContextPath() %>/secure/admin/jira/ViewAttachmentSettings.jspa"><webwork:text name="'admin.menu.globalsettings.attachments'"/></a></li>
    <li><a id="cvs_modules" href="<%= request.getContextPath() %>/secure/admin/ViewRepositories.jspa"><webwork:text name="'admin.menu.globalsettings.cvs.modules'"/></a></li>
    <li><a id="edit_default_dashboard" href="<%= request.getContextPath() %>/secure/admin/jira/EditDefaultDashboard!default.jspa"><webwork:text name="'admin.menu.globalsettings.default.dashboard'"/></a></li>
    <% if (license != null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_PROFESSIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <li><a id="eventtypes" href="<%= request.getContextPath() %>/secure/admin/jira/ListEventTypes.jspa"><webwork:text name="'admin.menu.globalsettings.event.types'" /></a></li>
    <% } %>
    <li><a id="general_configuration" href="<%= request.getContextPath() %>/secure/admin/jira/ViewApplicationProperties.jspa"><webwork:text name="'admin.menu.globalsettings.general.configuration'"/></a></li>
	<li><a id="global_permissions" href="<%= request.getContextPath() %>/secure/admin/jira/GlobalPermissions.jspa"><webwork:text name="'admin.menu.globalsettings.global.permissions'"/></a></li>
    <li><a id="linking" href="<%= request.getContextPath() %>/secure/admin/jira/ViewLinkTypes.jspa"><webwork:text name="'admin.menu.globalsettings.issue.linking'"/></a></li>
    <li><a id="lookandfeel" href="<%= request.getContextPath() %>/secure/admin/jira/ViewLookAndFeel.jspa"><webwork:text name="'admin.menu.globalsettings.look.and.feel'"/></a></li>
    <li><a id="mail_servers" href="<%= request.getContextPath() %>/secure/admin/ViewMailServers.jspa"><webwork:text name="'admin.menu.globalsettings.mail.servers'"/></a></li>
    
    <% if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_PROFESSIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <li><a id="subtasks" href="<%= request.getContextPath() %>/secure/admin/subtasks/ManageSubTasks.jspa"><webwork:text name="'admin.menu.globalsettings.sub.tasks'"/></a></li>
    <% } %>
    
    <li><a id="timetracking" href="<%= request.getContextPath() %>/secure/admin/jira/TimeTrackingAdmin!default.jspa"><webwork:text name="'admin.menu.globalsettings.time.tracking'"/></a></li>
    <li><a id="trackbacks" href="<%= request.getContextPath() %>/secure/admin/jira/TrackbackAdmin.jspa"><webwork:text name="'admin.menu.globalsettings.trackbacks'"/></a></li>
    <li><a id="user_defaults" href="<%= request.getContextPath() %>/secure/admin/jira/ViewUserDefaultSettings.jspa"><webwork:text name="'admin.menu.globalsettings.user.defaults'" /></a></li>
    <% if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_PROFESSIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <li><a id="workflows" href="<%= request.getContextPath() %>/secure/admin/workflows/ListWorkflows.jspa"><webwork:text name="'admin.menu.globalsettings.workflows'"/></a></li>
    <% } %>


</page:applyDecorator>


<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.schemes.schemes'"/></page:param>
    <page:param name="menuName">schemes</page:param>

    <% if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <li><a id="security_schemes" href="<%= request.getContextPath() %>/secure/admin/ViewIssueSecuritySchemes.jspa"><webwork:text name="'admin.menu.schemes.issue.security.schemes'"/></a></li>
    <% } %>
    
	<li><a id="notification_schemes" href="<%= request.getContextPath() %>/secure/admin/ViewNotificationSchemes.jspa"><webwork:text name="'admin.menu.schemes.notification.schemes'"/></a></li>
    <li><a id="permission_schemes" href="<%= request.getContextPath() %>/secure/admin/ViewPermissionSchemes.jspa"><webwork:text name="'admin.menu.schemes.permission.schemes'"/></a></li>

    <% if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <li><a id="workflow_schemes" href="<%= request.getContextPath() %>/secure/admin/ViewWorkflowSchemes.jspa"><webwork:text name="'admin.menu.schemes.workflow.schemes'"/></a></li>
    <% } %>

</page:applyDecorator>

<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.issuefields.issue.fields'"/></page:param>
    <page:param name="menuName">issuefields</page:param>

    <li><a id="view_custom_fields" href="<%= request.getContextPath() %>/secure/admin/ViewCustomFields.jspa"><webwork:text name="'admin.menu.issuefields.custom.fields'"/></a></li>

    <% license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
        if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <li><a id="field_configuration" href="<%= request.getContextPath() %>/secure/admin/ViewFieldLayouts.jspa"><webwork:text name="'admin.menu.issuefields.field.configurations'"/></a></li>
        <li><a id="issue_fields" href="<%= request.getContextPath() %>/secure/admin/ViewFieldLayoutSchemes.jspa"><webwork:text name="'admin.menu.issuefields.field.configuration.schemes'"/></a></li>
    <% } else { %>
        <li><a id="field_configuration" href="<%= request.getContextPath() %>/secure/admin/ViewIssueFields.jspa"><webwork:text name="'admin.menu.issuefields.issue.fields'"/></a></li>
    <% } %>
    
    <li><a id="issue_field_columns" href="<%= request.getContextPath() %>/secure/admin/ViewIssueColumns!default.jspa"><webwork:text name="'admin.menu.issuefields.navigator.columns'"/></a></li>
    <li><a id="field_screens" href="<%= request.getContextPath() %>/secure/admin/ViewFieldScreens.jspa"><webwork:text name="'admin.menu.issuefields.screens'"/></a></li>

    <% if (license != null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_STANDARD_LEVEL))) { %>
        <li><a id="field_screen_scheme" href="<%= request.getContextPath() %>/secure/admin/ConfigureFieldScreenScheme.jspa"><webwork:text name="'admin.menu.issuefields.screen.scheme'"/></a></li>
    <% } else { %>
        <li><a id="field_screen_scheme" href="<%= request.getContextPath() %>/secure/admin/ViewFieldScreenSchemes.jspa"><webwork:text name="'admin.menu.issuefields.screen.schemes'"/></a></li>
    <% } %>

    <% if (license != null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <li><a id="issue_type_screen_scheme" href="<%= request.getContextPath() %>/secure/admin/ViewIssueTypeScreenSchemes.jspa"><webwork:text name="'admin.menu.issuefields.issue.type.screen.schemes'"/></a></li>
    <% } %>
</page:applyDecorator>

<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.issuesettings.issue.settings'"/></page:param>
    <page:param name="menuName">issuesettings</page:param>

	<li><a id="issue_types" href="<%= request.getContextPath() %>/secure/admin/ViewIssueTypes.jspa"><webwork:text name="'admin.menu.issuesettings.issue.types'"/></a></li>
	<li><a id="priorities" href="<%= request.getContextPath() %>/secure/admin/ViewPriorities.jspa"><webwork:text name="'admin.menu.issuesettings.priorities'"/></a></li>
	<li><a id="resolutions" href="<%= request.getContextPath() %>/secure/admin/ViewResolutions.jspa"><webwork:text name="'admin.menu.issuesettings.resolutions'"/></a></li>
	<li><a id="statuses" href="<%= request.getContextPath() %>/secure/admin/ViewStatuses.jspa"><webwork:text name="'admin.menu.issuesettings.statuses'"/></a></li>

</page:applyDecorator>

<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.importexport.import.and.export'"/></page:param>
    <page:param name="menuName">exportimport</page:param>

    <li><a id="backup_data" href="<%= request.getContextPath() %>/secure/admin/XmlBackup!default.jspa"><webwork:text name="'admin.menu.importexport.backup.data.to.xml'"/></a></li>
	<li><a id="restore_data" href="<%= request.getContextPath() %>/secure/admin/XmlRestore!default.jspa"><webwork:text name="'admin.menu.importexport.restore.data.from.xml'"/></a></li>
    <li><a id="external_import" href="<%= request.getContextPath() %>/secure/admin/views/externalimport.jsp"><webwork:text name="'admin.menu.importexport.external.system.import'"/></a></li>

</page:applyDecorator>

<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.optionsandsettings.options.and.settings'"/></page:param>
    <page:param name="menuName">options</page:param>

    <li><a id="jelly_runner" href="<%= request.getContextPath() %>/secure/admin/util/JellyRunner!default.jspa"><webwork:text name="'admin.menu.optionsandsettings.jelly.runner'"/></a></li>
    <li><a id="send_email" href="<%= request.getContextPath() %>/secure/admin/jira/SendBulkMail!default.jspa"><webwork:text name="'admin.menu.optionsandsettings.send.email'"/></a></li>
    <li><a id="edit_announcement" href="<%= request.getContextPath() %>/secure/admin/EditAnnouncementBanner!default.jspa"><webwork:text name="'admin.menu.optionsandsettings.announcement.banner'"/></a></li>

</page:applyDecorator>

<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'admin.menu.system.system'"/></page:param>
    <page:param name="menuName">system</page:param>

	<li><a id="indexing" href="<%= request.getContextPath() %>/secure/admin/jira/IndexAdmin.jspa"><webwork:text name="'admin.menu.system.indexing'"/></a></li>
    <%--<li><a id="issue_caching" href="<%= request.getContextPath() %>/secure/admin/ViewCacheConfig.jspa"><webwork:text name="'admin.menu.system.issue.caching'"/></a></li>--%>
	<li><a id="integrity_checker" href="<%= request.getContextPath() %>/secure/admin/jira/IntegrityChecker!default.jspa"><webwork:text name="'admin.menu.system.integrity.checker'"/></a></li>

<% if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
	<li><a id="ldap" href="<%= request.getContextPath() %>/secure/admin/jira/LDAPConfigurer!default.jspa"><webwork:text name="'admin.menu.system.ldap'"/></a></li>
<% } %>
	
    <li><a id="license_details" href="<%= request.getContextPath() %>/secure/admin/jira/ViewLicense.jspa"><webwork:text name="'admin.menu.system.license.details'"/></a></li>
	<li><a id="plugins" href="<%= request.getContextPath() %>/secure/admin/jira/ViewPlugins!default.jspa"><webwork:text name="'admin.menu.system.plugins'"/></a></li>
	<li><a id="listeners" href="<%= request.getContextPath() %>/secure/admin/jira/ViewListeners!default.jspa"><webwork:text name="'admin.menu.system.listeners'"/></a></li>
	<li><a id="logging_profiling" href="<%= request.getContextPath() %>/secure/admin/jira/ViewLogging.jspa"><webwork:text name="'admin.menu.system.logging.and.profiling'"/></a></li>
	<li><a id="mail_queue" href="<%= request.getContextPath() %>/secure/admin/jira/MailQueueAdmin.jspa"><webwork:text name="'admin.menu.system.mail.queue'"/></a></li>
    <li><a id="scheduler_details" href="<%= request.getContextPath() %>/secure/admin/jira/SchedulerAdmin.jspa"><webwork:text name="'admin.menu.system.scheduler.details'"/></a></li>
    <li><a id="services" href="<%= request.getContextPath() %>/secure/admin/jira/ViewServices!default.jspa"><webwork:text name="'admin.menu.system.services'"/></a></li>
    <li><a id="system_info" href="<%= request.getContextPath() %>/secure/admin/jira/ViewSystemInfo.jspa"><webwork:text name="'admin.menu.system.system.info'"/></a></li>
    <li><a id="support_request" href="<%= request.getContextPath() %>/secure/admin/jira/JiraSupportRequest!default.jspa"><webwork:text name="'admin.menu.system.support.request'"/></a></li>

</page:applyDecorator>
