<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />

<webwork:bean name="'com.atlassian.core.util.XMLUtils'" id="xmlUtils" />
<webwork:property value="." id="issue"/>
<webwork:property value="@issue/issueTypeObject/id" id="issueType"/>
<webwork:property value="@issue/project/long('id')" id="projectId"/>
<title>[<webwork:property value="@xmlUtils/escape(@issue/key)" escape="false" />] <webwork:property value="@xmlUtils/escape(@issue/summary)" escape="false" /></title>
<link><webwork:property value="applicationProperties/string('jira.baseurl')" />/browse/<webwork:property value="@issue/key"/></link>

    <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'description', @issueType) == false">
        <description><webwork:if test="/rssMode/equals('raw') == true"><![CDATA[<webwork:property value="@xmlUtils/escapeForCdata(@issue/description)" escape="false" />]]></webwork:if><webwork:else><webwork:property value="@xmlUtils/escape(/renderedContent('description', @issue/description, @issue))" escape="false" /></webwork:else></description>
    </webwork:if>
    <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'environment', @issueType) == false">
        <environment><webwork:if test="/rssMode/equals('raw') == true"><![CDATA[<webwork:property value="@xmlUtils/escapeForCdata(@issue/environment)" escape="false" />]]></webwork:if><webwork:else><webwork:property value="@xmlUtils/escape(/renderedContent('environment', @issue/environment, @issue))" escape="false" /></webwork:else></environment>
    </webwork:if>
        <key id="<webwork:property value="@issue/id"/>"><webwork:property value="@xmlUtils/escape(@issue/key)" escape="false" /></key>
        <summary><webwork:property value="@xmlUtils/escape(@issue/summary)" escape="false" /></summary>
        <type id="<webwork:property value="@issueType" />"><webwork:property value="@xmlUtils/escape(@issue/issueTypeObject/nameTranslation)" /></type>
    <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'priority', @issueType) == false">
        <webwork:if test="@issue/priorityObject != null"><priority id="<webwork:property value="@issue/priorityObject/id" />"><webwork:property value="@xmlUtils/escape(@issue/priorityObject/nameTranslation)" /></priority></webwork:if>
    </webwork:if>
        <status id="<webwork:property value="@issue/statusObject/id" />"><webwork:property value="@xmlUtils/escape(@issue/statusObject/nameTranslation)" /></status>
        <webwork:if test="@issue/resolutionObject == null">
        <resolution>Unresolved</resolution>
        </webwork:if><webwork:else>
        <resolution id="<webwork:property value="@issue/resolutionObject/id" />"><webwork:property value="@xmlUtils/escape(@issue/resolutionObject/nameTranslation)" escape="false" /></resolution>
        </webwork:else>
    <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'assignee', @issueType) == false">
        <webwork:if test="@issue/assignee == null">
        <assignee>Unassigned</assignee>
        </webwork:if><webwork:else>
        <assignee username="<webwork:property value="@xmlUtils/escape(@issue/assignee/name)" />"><webwork:property value="@xmlUtils/escape(@issue/assignee/fullName)" escape="false" /></assignee>
        </webwork:else>
    </webwork:if>

    <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'reporter', @issueType) == false">
        <webwork:if test="@issue/reporter == null">
        <reporter>None</reporter>
        </webwork:if><webwork:else>
        <reporter username="<webwork:property value="@xmlUtils/escape(@issue/reporter/name)" />"><webwork:property value="@xmlUtils/escape(@issue/reporter/fullName)" escape="false" /></reporter>
        </webwork:else>
    </webwork:if>

        <%
            //there is a problem with webwork deciding between isCreated() and getCreated(), so we need to do it manually
            com.atlassian.jira.issue.Issue issue = ((com.atlassian.jira.issue.Issue) request.getAttribute("issue"));
            request.setAttribute("created", issue.getCreated());
        %>
        <created><webwork:property value="/outlookDate/formatRss(@created)"/></created>
    <updated><webwork:property value="/outlookDate/formatRss(@issue/updated)" /></updated>

    <webwork:property value ="@issue/affectedVersions">
        <%-- Test whether the issue has versions --%>
        <webwork:if test=". != null && ./empty == false">
            <%-- Test whether the field is not hidden --%>
            <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'versions', @issueType) == false">
                <webwork:iterator value=".">
                    <version><webwork:property value="@xmlUtils/escape(name)" escape="false"/></version>
                </webwork:iterator>
            </webwork:if>
        </webwork:if>
    </webwork:property>

    <webwork:property value ="@issue/fixVersions">
        <%-- Test whether the issue has fix versions --%>
        <webwork:if test=". != null && ./empty == false">
            <%-- Test whether the field is not hidden --%>
            <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'fixVersions', @issueType) == false">
                <webwork:iterator value=".">
                    <fixVersion><webwork:property value="@xmlUtils/escape(name)" escape="false" /></fixVersion>
                </webwork:iterator>
            </webwork:if>
        </webwork:if>
    </webwork:property>

    <webwork:property value ="@issue/components">
        <%-- Test whether the issue has components --%>
        <webwork:if test=". != null && ./empty == false">
            <%-- Test whether the field is not hidden --%>
            <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'components', @issueType) == false">
                <webwork:iterator value=".">
                    <component><webwork:property value="@xmlUtils/escape(./string('name'))" escape="false"/></component>
                </webwork:iterator>
            </webwork:if>
        </webwork:if>
    </webwork:property>

    <%-- Due date is shown event if the due date value is null. This is so due to the comment added to the JRA-2711 issue --%>
    <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'duedate', @issueType) == false">
        <due><webwork:if test="@issue/dueDate != null"><webwork:property value="/outlookDate/formatRss(@issue/dueDate)" /></webwork:if></due>
    </webwork:if>
    <webwork:if test="/applicationProperties/option('jira.option.voting') == true">
        <votes><webwork:property value="@issue/votes" /></votes>
    </webwork:if>
    <webwork:if test="@fieldVisibility/fieldHidden(@projectId, 'timetracking', @issueType) == false">
        <webwork:if test="@issue/originalEstimate != null"><timeoriginalestimate seconds="<webwork:property value="@issue/originalEstimate" />"><webwork:property value="/prettyDuration(@issue/originalEstimate)" /></timeoriginalestimate></webwork:if>
        <webwork:if test="@issue/estimate != null"><timeestimate seconds="<webwork:property value="@issue/estimate" />" ><webwork:property value="/prettyDuration(@issue/estimate)" /></timeestimate></webwork:if>
        <webwork:if test="@issue/timeSpent != null"><timespent seconds="<webwork:property value="@issue/timeSpent" />"><webwork:property value="/prettyDuration(@issue/timeSpent)" /></timespent></webwork:if>
    </webwork:if>

    <webwork:property value="actionManager/comments(@issue/genericValue, /remoteUser)">
    <webwork:if test=". != null && size > 0">
        <comments>
            <webwork:iterator>
            <comment author="<webwork:if test="./username != null"><webwork:property value="@xmlUtils/escape(username)" escape="false"/></webwork:if>" created="<webwork:property value="/outlookDate/formatRss(./timePerformed)"/>" level="<webwork:property value="./level" />"><webwork:if test="/rssMode/equals('raw') == true"><![CDATA[<webwork:property value="@xmlUtils/escapeForCdata(comment)" escape="false" />]]></webwork:if><webwork:else><webwork:property value="@xmlUtils/escape(/renderedContent('comment', comment, @issue))" escape="false" /></webwork:else></comment>
            </webwork:iterator>
        </comments>
    </webwork:if>
    </webwork:property>
