<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%-- also used by the operations include, so do not remove from here without editing that page --%>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<webwork:property value="issue">
<table id="issuedetails" cellpadding=3 cellspacing=0 border=0>
<webwork:if test="!viewIssue">
	<tr>
		<td valign=top colspan=2><b><webwork:text name="'issue.field.summary'"/>:</b> <webwork:property value="issue/string('summary')" /></td>
	</tr>
</webwork:if>

<tr>
	<td valign=top><b><webwork:text name="'issue.field.issuekey'"/>:</b></td>
	<td valign=top>
		<b><a id="issue_key_<webwork:property value="string('key')" />" href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')" />"><webwork:property value="string('key')" /></a></b>
	</td>
</tr>
<tr>
	<td valign=top><b><webwork:text name="'issue.field.type'"/>:</b></td>
	<td valign=top>
		<%@ include file="/includes/icons/type-nolink.jsp" %>
		<webwork:property value="/nameTranslation(/constantsManager/issueType(string('type')))" />
	</td>
</tr>
<tr>
	<td valign=top><b><webwork:text name="'issue.field.status'"/>:</b></td>
	<td valign=top>
		<%@ include file="/includes/icons/status.jsp" %>
		<webwork:property value="/nameTranslation(/constantsManager/status(string('status')))" />
	</td>
</tr>

<webwork:if test="string('resolution')">
<tr>
	<td valign=top><b><webwork:text name="'issue.field.resolution'"/>:</b></td>
	<td valign=top>
		<webwork:property value="/nameTranslation(/constantsManager/resolution(string('resolution')))" />
	</td>
</tr>
</webwork:if>


<%-- this is like this to get around a bug in WebWork - WW-325 --%>
<webwork:property value="long('project')">
    <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', ../string('type')) == false && ../string('priority') != null">
    <tr>
        <td valign=top><b><webwork:text name="'issue.field.priority'"/>:</b></td>
        <td valign=top>
            <%@ include file="/includes/icons/priority.jsp" %>
            <webwork:property value="/nameTranslation(/constantsManager/priority(../string('priority')))" />
        </td>
    </tr>
    </webwork:if>

    <webwork:if test="@fieldVisibility/fieldHidden(., 'assignee', ../string('type')) == false">
    <tr>
        <td valign=top><b><webwork:text name="'issue.field.assignee'"/>:</b></td>
        <td valign=top>
            <webwork:if test="../string('assignee') != null">
                <a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="../string('assignee')" /></webwork:url>"><webwork:property value="@user/user(../string('assignee'))/fullName" /></a>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'common.status.unassigned'"/>
            </webwork:else>
        </td>
    </tr>
    </webwork:if>

    <%-- we DO want to show the reporter if there is not reporter --%>
    <webwork:if test="@fieldVisibility/fieldHidden(., 'reporter', ../string('type')) == false">
    <tr>
        <td valign=top><b><webwork:text name="'issue.field.reporter'"/>:</b></td>
        <td valign=top>
            <webwork:if test="string('reporter') != null">
                <a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="string('reporter')" /></webwork:url>"><webwork:property value="@user/user(string('reporter'))/fullName" /></a>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'common.words.anonymous'"/>
            </webwork:else>
        </td>
    </tr>
    </webwork:if>

<%-- get the project ID off the stack --%>
</webwork:property>


<webwork:if test="applicationProperties/option('jira.option.voting') == true">
<tr>
	<td valign=top><b><webwork:text name="'common.concepts.votes'"/>:</b></td>
	<td valign=top>
		<webwork:if test="long('votes') == null">
			0
        </webwork:if>
		<webwork:else>
            <webwork:property value="long('votes')" /></webwork:else><webwork:if test="viewIssue == true && /hasIssuePermission('viewvotersandwatchers', /issue) == true">&nbsp;<span class="small">(<a id="view_votes" href="<%= request.getContextPath() %>/secure/ViewVoters!default.jspa?id=<webwork:property value="issue/long('id')" />"><webwork:text name="'common.words.view'"/></a>)</span>
        </webwork:if>
	</td>
</tr>
</webwork:if>

<webwork:if test="applicationProperties/option('jira.option.watching') == true">
<tr>
	<td valign=top><b><webwork:text name="'common.concepts.watchers'"/>:</b></td>
	<td valign=top>
		<webwork:if test="watcherManager/currentWatchList(.)/empty == true">
			0</webwork:if><webwork:else><webwork:property value="watcherManager/currentWatchList(.)/size" /></webwork:else><webwork:if test="viewIssue == true && (/hasIssuePermission('managewatcherlist', /issue) == true || /hasIssuePermission('viewvotersandwatchers', /issue) == true)">&nbsp;<span class="small">(<a id="view_watchers" href="<%= request.getContextPath() %>/secure/ManageWatchers!default.jspa?id=<webwork:property value="issue/long('id')" />"><webwork:if test="/hasIssuePermission('managewatcherlist', /issue) == true"><webwork:text name="'common.words.view'"/></a>)</span></webwork:if><webwork:elseIf test="/hasIssuePermission('viewvotersandwatchers', /issue) == true"><webwork:text name="'common.words.view'"/></a>)</span></webwork:elseIf>
        </webwork:if>
	</td>
</tr>
</webwork:if>
</table>
</webwork:property>