<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><webwork:text name="'admin.email.send.email'"/></title>
</head>
<body>
<table width="100%" cellpadding="10" cellspacing="0" border="0">
    <tr>
        <td>
            <webwork:if test="/hasMailServer == true">
                <page:applyDecorator name="jiraform">
                    <page:param name="action">SendBulkMail.jspa</page:param>
                    <page:param name="cancelURI">ViewProjects.jspa?</page:param>
                    <page:param name="submitName"><webwork:text name="'admin.email.send'"/></page:param>
                    <page:param name="autoSelectFirst">false</page:param>
                    <page:param name="title"><webwork:text name="'admin.email.send.email'"/></page:param>
                    <page:param name="width">100%</page:param>
                    <page:param name="description">
                        <p><webwork:text name="'admin.email.description'"/></p>
                        <p>
                            <webwork:text name="'admin.email.select.one.or.more.groups'"/><br>
                            <webwork:text name="'admin.email.note'"/>
                        </p>
                    </page:param>
                    <webwork:component template="textlabel.jsp" label="text('admin.email.from')" value="remoteUser/email" />
                    <ui:select label="text('admin.email.to')" name="'groups'" list="allGroups" listKey="'name'" listValue="'name'" template="selectmultiple.jsp">
                        <ui:param name="'size'"><webwork:property value="/toFieldSize"/></ui:param>
                        <ui:param name="'mandatory'" value="'true'"/>
                    </ui:select>
                    <ui:textfield label="text('admin.email.reply.to')" name="'replyTo'" size="60">
                        <ui:param name="'mandatory'" value="'false'"/>
                        <ui:param name="'description'"><webwork:text name="'admin.email.reply.to.description'"/></ui:param>
                    </ui:textfield>
                    <ui:textfield label="text('admin.email.subject')" name="'subject'" size="60">
                        <ui:param name="'mandatory'" value="'true'"/>
                    </ui:textfield>
                    <ui:textarea label="text('admin.email.body')" name="'message'" cols="70" rows="8" >
                        <ui:param name="'mandatory'" value="'true'"/>
                        <ui:param name="'description'"><webwork:text name="'admin.email.body.description'"/></ui:param>
                    </ui:textarea>
                    <ui:select label="text('admin.email.message.type')" name="'messageType'" list="mimeTypes" listKey="'key'" listValue="'value'" value="applicationProperties/defaultBackedString('user.notifications.mimetype')">
                        <ui:param name="'description'"><webwork:text name="'admin.email.message.type.description'"/></ui:param>
                    </ui:select>
                    <ui:checkbox label="text('admin.email.bcc')" name="'sendBlind'" fieldValue="'true'">
                        <ui:param name="'description'"><webwork:text name="'admin.email.bcc.description'"/></ui:param>
                    </ui:checkbox>
                </page:applyDecorator>
            </webwork:if>
            <webwork:else>
                <page:applyDecorator name="jiraform">
                    <page:param name="action">ViewProjects.jspa</page:param>
                    <page:param name="submitName"><webwork:text name="'admin.common.words.ok'"/></page:param>
                    <page:param name="autoSelectFirst">false</page:param>
                    <page:param name="title"><webwork:text name="'admin.email.send.email'"/></page:param>
                    <page:param name="width">100%</page:param>
                    <page:param name="description">
                        <p><webwork:text name="'admin.email.you.can.send'"/></p>
                        <p>
                            <webwork:text name="'admin.email.to.configure.mail.server'">
                                <webwork:param name="'value0'"><a id="configure_mail_server" href="ViewMailServers.jspa"></webwork:param>
                                <webwork:param name="'value1'"></a></webwork:param>
                            </webwork:text>
                        </p>
                    </page:param>
                </page:applyDecorator>
            </webwork:else>
        </td>
    </tr>
</table>
</body>
</html>