<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.web.action.issue.IssueNavigator,
                 com.atlassian.jira.web.component.IssueTableLayoutBean,
                 com.atlassian.jira.web.component.IssueTableWebComponent,
                 java.util.Collections,
                 java.util.Date,
                 java.util.List"%>
<%@include file="excelheader.jsp" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%-- Set this so that it can be used further down --%>
<webwork:property value="/" id="issueNavigator" />

<%
    IssueNavigator issueNavigator = (IssueNavigator) request.getAttribute("issueNavigator");
    boolean showAll = "excel".equals(issueNavigator.getView());
    String title = showAll ? "All" : "Current";
%>
<html xmlns:o="urn:schemas-microsoft-com:office:office"
xmlns:x="urn:schemas-microsoft-com:office:excel"
xmlns="http://www.w3.org/TR/REC-html40">
<head>
<title>JIRA Issue Navigator for Excel (<%= title %>)</title>
<META HTTP-EQUIV="Content-Type" Content="application/vnd.ms-excel; charset=<%= ManagerFactory.getApplicationProperties().getEncoding()%>">
<!-- JRA-7598 - ensure fields (e.g. description) occupy only one cell - even fields containing newlines. -->
<!--
Vertical align all cells to the top, in order to align all issue rows of issuetable to the top,
since Excel does not use or save the css files it is hardcoded here.
-->
<style>
@page
{
mso-page-orientation:landscape;
margin:.25in .25in .5in .25in;
mso-header-margin:.5in;
mso-footer-margin:.25in;
mso-footer-data:"&R&P of &N";
mso-horizontal-page-align:center;
mso-vertical-page-align:center;
}

br
{
    mso-data-placement:same-cell;
}

td
{
    vertical-align: top;
}
</style>

<!--[if gte mso 9]><xml>
<x:ExcelWorkbook>
<x:ExcelWorksheets>
<x:ExcelWorksheet>
<x:Name>general_report</x:Name>
<x:WorksheetOptions>
<x:Print>
<x:ValidPrinterInfo/>
</x:Print>
</x:WorksheetOptions>
</x:ExcelWorksheet>
</x:ExcelWorksheets>
</x:ExcelWorkbook>
</xml><![endif]-->
</head>
<body>

<%
    ApplicationProperties AP = ManagerFactory.getApplicationProperties();
    String topBgColour = AP.getDefaultBackedString(APKeys.JIRA_LF_TOP_BGCOLOUR);

    String jiraLogo = AP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_URL);
    String jiraLogoWidth = AP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_WIDTH);
    String jiraLogoHeight = AP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_HEIGHT);

    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = AP.getString(APKeys.JIRA_BASEURL) + jiraLogo;
    }

    int colCount = 1;

    IssueTableLayoutBean layoutBean = null;
    if (issueNavigator.getSearchRequest() != null)
    {
        if (showAll)
            layoutBean = issueNavigator.getTableLayoutFactory().getAllColumnsExcelLayout(issueNavigator.getSearchRequest(), issueNavigator.getRemoteUser());
        else
            layoutBean = issueNavigator.getTableLayoutFactory().getStandardExcelLayout(issueNavigator.getSearchRequest(), issueNavigator.getRemoteUser());

        colCount = layoutBean.getColumns().size();
    }
%>
<table border="1">
<tr>
    <td bgcolor="<%= topBgColour %>" colspan="<%=colCount%>" height="30">
        <img src="<%= jiraLogo %>" width="<%= jiraLogoWidth %>" height="<%= jiraLogoHeight %>" border="0" alt="<%= AP.getDefaultBackedString(APKeys.JIRA_TITLE) %>">
    </td>
</tr>
<tr>
    <td bgcolor="ffffff" colspan="<%=colCount%>">
        <a href="<webwork:property value="applicationProperties/string('jira.baseurl')" />"><font color="ffffff"><webwork:property value="applicationProperties/string('jira.title')" /></font></a>
    </td>
</tr>
<tr>
    <td bgcolor="ffffff" colspan="<%=colCount%>">
        <webwork:text name="'navigator.excel.results.displayissues'">
            <webwork:param name="'value0'"><b><webwork:property value="/searchResultList/size" /></b></webwork:param>
            <webwork:param name="'value1'"><b><webwork:property value="/outlookDate/formatDMYHMS(/outlookDate/now)"/></b></webwork:param>
        </webwork:text><br>
    </td>
</tr>
</table>
<%
    List issues = issueNavigator.getSearchResults() != null ? issueNavigator.getSearchResults().getIssues() : Collections.EMPTY_LIST;

    if (issueNavigator.getSearchRequest() != null)
    {
%>
<%= new IssueTableWebComponent().getHtml(layoutBean, issues, null) %>
<%
    }
    else
    {
%>
    <table>
        <tr><td>&nbsp;</td></tr>
        <tr><td><b>No Search Request Found</b></td></tr>
        <tr><td>&nbsp;</td></tr>
    </table>
<%
    }
%>

<table border="1" >
<tr>
    <td bgcolor="dddddd" colspan="<%=colCount%>"><font size="1">
        Generated at <%= new Date () %> <webwork:if test="remoteUser != null">by <webwork:property value="remoteUser/fullName" /></webwork:if> using JIRA <%= BuildUtils.getCurrentBuildNumber() %>.
    </font></td>
</tr>
</table>

</body>
</html>